/**
 * @file SdlGraphicsModel.h
 * @author Richard Buckley <richard.buckley@ieee.org>
 * @version 1.0
 * @date 2021-11-23
 */

#pragma once

#include "Context.h"
#include "Resources.h"
#include "RenderTargetGuard.h"
#include "DrawColorGuard.h"
#include "ClipRectangleGuard.h"

namespace rose::gm {
    uint32_t mapRGBA(SDL_PixelFormat *format, const color::RGBA &color);

    color::RGBA getRGBA(SDL_PixelFormat* format, uint32_t pixel);
}
